### Virtual Method

# Foundry SymbolProvider find_symbol_at

#### Declaration [src]

    DexFuture*
    find_symbol_at (
      FoundrySymbolProvider* self,
      GFile* file,
      GBytes* contents,
      guint line,
      guint line_offset
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the method.

`contents`

  Type: `GBytes`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`line`

  Type: `guint`

  The line number (starting from 0).

`line_offset`

  Type: `guint`

  The character offset (starting from 0).

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundrySymbol` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.